List Countries
Get a list of all countries available. A country or territory, identifiable by an ISO 3166 country code.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body that the client accepts. Typically application/json.
Query parameters
page
Number of pages.
limit
Count per page.
country
Filter countries by country name.
country_iso2
Filter countries by two-letter ISO 3166-1 alpha-2 code.
country_iso3
Filter countries by three-letter ISO 3166-1 alpha-3 code.
Response
A list of countries.
country
Country name.
country_iso2
2-letter country code.
country_iso3
3-letter country code.
id
Id of the country.
states
Refers to the states object return in GET countries requests.